chords = {
  {
    name = 'Major',
    code = 'maj',
    display = '',
    pattern = '10001001'
  },
  {
    name = 'Minor',
    code = 'min',
    display = 'm',
    pattern = '10010001'
  },
  {
    name = 'Power Chord',
    code = 'power',
    display = '5',
    pattern = '10000001'
  },
  {
    name = 'Augmented',
    code = 'aug',
    display = 'aug',
    pattern = '100010001'
  },
  {
    name = 'Diminished',
    code = 'dim',
    display = 'dim',
    pattern = '1001001'
  },
  {
    name = 'suspended second',
    code = 'sus2',
    display = 'sus2',
    pattern = '10100001'
  },
  {
    name = 'suspended fourth',
    code = 'sus4',
    display = 'sus4',
    pattern = '10000101'
  },
  {
    name = 'Major add2',
    code = 'majadd2',
    display = 'Majadd2',
    pattern = '10101001'
  },
  {
    name = 'Major add4',
    code = 'majadd4',
    display = 'Majadd4',
    pattern = '10001101'
  },
  {
    name = 'minor add2',
    code = 'minadd2',
    display = 'minadd2',
    pattern = '10110001'
  },
  {
    name = 'minor add4',
    code = 'minadd4',
    display = 'minadd4',
    pattern = '10010101'
  },
  {
    name = 'Major add2b5',
    code = 'majadd2b5',
    display = 'Majadd2b5',
    pattern = '1010100110'
  },
  {
    name = 'minor add2b5',
    code = 'minadd2b5',
    display = 'minadd2b5',
    pattern = '10110010'
  },  
  {
    name = 'sixth',
    code = 'maj6',
    display = '6',
    pattern = '1000100101'
  },
  {
    name = 'minor sixth',
    code = 'min6',
    display = 'm6',
    pattern = '1001000101'
  },
  {
    name = 'seventh',
    code = '7',
    display = '7',
    pattern = '10001001001'
  },
  {
    name = 'Major seventh',
    code = 'maj7',
    display = 'Maj7',
    pattern = '100010010001'
  },
  {
    name = 'minor seventh',
    code = 'min7',
    display = 'm7',
    pattern = '10010001001'
  },
  {
    name = 'minor/Major seventh',
    code = 'min/Maj7',
    display = 'min/Maj7',
    pattern = '100100010001'
  },
  {
    name = 'diminished seventh',
    code = 'dim7',
    display = 'dim7',
    pattern = '1001001001'
  },
  {
    name = 'half-diminished',
    code = 'min7b5',
    display = 'min7b5',
    pattern = '10010010001'
  },
  {
    name = 'seventh diminished fifth',
    code = '7b5',
    display = '7b5',
    pattern = '10001010001'     
  },
  {
    name = 'seventh augmented fifth',
    code = '7#5',
    display = '7#5',
    pattern = '10001000101'
  },
  {
    name = 'major seventh diminished fifth',
    code = 'maj7b5',
    display = 'Maj7b5',
    pattern = '100010100001'
  },
  {
    name = 'major seventh augmented fifth',
    code = 'maj7#5',
    display = 'Maj7#5',
    pattern = '100010001001'
  },
  {
    name = 'seventh suspended fourth',
    code = '7sus4',
    display = '7sus4',
    pattern = '10000101001'
  },
  {
    name = 'seventh suspended fourth augmented fifth',
    code = '7sus4#5',
    display = '7sus4#5',
    pattern = '10000100101'
  },
  {
    name = 'Major eight (octave)',
    code = 'maj8',
    display = 'Maj8',
    pattern = '1000100100001'
  },
  {
    name = 'minor eight (octave)',
    code = 'min8',
    display = 'min8',
    pattern = '1001000100001'
  },
  {
    name = 'Major ninth',
    code = 'maj9',
    display = 'Maj9',
    pattern = '100010010000001'
  },
  {
    name = 'minor ninth',
    code = 'min9',
    display = 'min9',
    pattern = '100100010000001'
  },
  {
    name = 'Major ninth diminished fifth',
    code = 'maj9b5',
    display = 'Maj9b5',
    pattern = '100010100000001'
  },
  {
    name = 'minor ninth augmented fifth',
    code = 'min9#5',
    display = 'min9#5',
    pattern = '100100001000001'
  },
  {
    name = 'ninth suspended fourth',
    code = '9sus4',
    display = '9sus4',
    pattern = '100001010000001'
  },
  {
    name = 'ninth suspended fourth augmented fifth',
    code = '9sus4#5',
    display = '9sus4#5',
    pattern = '100001001000001'
  },
  {
    name = 'Major tenth',
    code = 'maj10',
    display = 'Maj10',
    pattern = '10001001000000001'
  },
  {
    name = 'minor tenth',
    code = 'min10',
    display = 'min10',
    pattern = '10010001000000010'
  },
  {
    name = 'Major tenth diminished fifth',
    code = 'maj10b5',
    display = 'Maj10b5',
    pattern = '10001010000000001'
  },
  {
    name = 'minor tenth augmented fifth',
    code = 'min10#5',
    display = 'min10#5',
    pattern = '10010000100000010'
  },
  {
    name = 'Major tenth suspended fourth',
    code = 'maj10sus4',
    display = 'Maj10sus4',
    pattern = '10000101000000001'
  },
  {
    name = 'minor tenth suspended fourth',
    code = 'min10sus4',
    display = 'min10sus4',
    pattern = '10000101000000010'
  },
  {
    name = 'Major tenth suspended fourth augmented fifth',
    code = 'maj10sus4#5',
    display = 'Maj10sus4#5',
    pattern = '10000100100000001'
  },
  {
    name = 'minor tenth suspended fourth augmented fifth',
    code = 'min10sus4#5',
    display = 'min10sus4#5',
    pattern = '10000100100000010'
  }
}
